xdemorse (3.6.7-3) unstable; urgency=medium

  * 'd/control': Update 'Standards-Version' to 4.7.2, no changes required.
  * Add a basic 'd/xdemorse.desktop' file and install it for users.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 02 Mar 2025 05:28:04 +0000

xdemorse (3.6.7-2) unstable; urgency=medium

  * Adoption of package. (Closes: #554899)

  * 'd/control':
    - Update 'Standards-Version' to 4.7.0.2, no changes required.
    - Add myself as maintainer.
  * 'd/copyright':
    - Add missing FSFAP and FSFULLR files and data.
    - Add myself to 'Files: debian/*' section.
  * 'd/watch':
    - Define pgpmode 'none' and eliminate warnings as package is
      not signed by upstream.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 06 Feb 2025 10:23:08 +0000

xdemorse (3.6.7-1) unstable; urgency=medium

  * QA upload.

  [ Ricardo Mones ]
  * Fix typo in changelog.

  [ Joao Eriberto Mota Filho ]
  * New upstream version 3.6.7.
  * debian/copyright:
      - Added rights for Daniele Forsi.
      - Converted the last paragraph of the GPL-2 and GPL-3 in a comment.
      - Updated upstream and packaging copyright years.
  * debian/install: added a line to install .xdemorse/xdemorse.svg at
    /usr/share/xdemorse/. (LP: #2020257)
  * debian/patches/:
      - 030_fix-message.patch: created to make the path of the xdemorserc
        compliant with Debian.
      - Refreshed all patches.
  * debian/tests/control: set the CI test as "superficial".
  * debian/upstream/metadata: added Screenshots field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Jun 2023 21:52:58 -0300

xdemorse (3.6.5-2) unstable; urgency=medium

  * QA upload.

  [ Daniele Forsi ]
  * Update SYNOPSIS in man page

  [ Ricardo Mones ]
  * Fix spacing in long description
  * Update Standards-Version to 4.6.2, no other changes
  * Update year range in copyright

 -- Ricardo Mones <mones@debian.org>  Tue, 03 Jan 2023 18:42:19 +0100

xdemorse (3.6.5-1) unstable; urgency=high

  * QA upload.
  * New upstream version 3.6.5
  * Fix test command to avoid stderr message (Closes: #993743)
  * Remove patches applied upstream
  * Set forwarded status of remaining patches
  * Set Standards-Version to 4.6.0, no other changes
  * Raise urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Wed, 08 Sep 2021 00:57:32 +0200

xdemorse (3.6.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.6.4
  * Update patches to cope with upstream changes
  * Use -v switch for testing command
  * Set debhelper compat level to 13
  * Set Standards-Version to 4.5.1, no other changes
  * Update copyright file

 -- Ricardo Mones <mones@debian.org>  Wed, 18 Aug 2021 01:34:24 +0200

xdemorse (3.6.2-2) unstable; urgency=high

  * QA upload.
  * Add patch fixing FTBFS: configure:5266: error:… (Closes: #978386)
    This is just a minimal patch to let it build, and is far from
    perfect. If you know autotools better please make a real fix ;-)
  * Raise urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Sun, 17 Jan 2021 18:30:30 +0100

xdemorse (3.6.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.6.2.
  * Using https for upstream URI project in debian/{control,copyright,watch}.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added "GUI" to short description.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright:
      - Added packaging rights for Reiner Herrmann.
      - Updated packaging copyright years.
  * debian/patches: added a numeric prefix for all patches.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: created to perform a trivial CI test.
  * debian/upstream/metadata: Added Bug-Submit and Repository fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Apr 2020 18:42:42 -0300

xdemorse (3.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Bump debhelper compat/dependency to 11.
  * Bump Standards-Version to 4.1.5.
  * Add upstream metadata file.
  * Skip manual installation of data files and use dh helpers instead.
  * Install glade file globally and read it on startup. (Closes: #885927)
  * Minor fixups of desktop file.
  * debian/copyright:
    - use secure copyright format url
    - document newly added files
  * Drop unneeded dirs file.
  * Skip installation of ChangeLog file, which has no useful content.
  * Drop removed argument from manpage.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 28 Jul 2018 13:44:21 +0200

xdemorse (3.4-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #829905)
  * Removed all references to dh-autoreconf. Autoreconf is the default action
    in Debian now.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Build-Depends field:
          ~ Changed from libgtk2.0-dev to libgtk-3-dev.
          ~ Removed intltool. The upstream is using gettext now.
      - Changed priority to optional.
  * debian/copyright:
      - Added a new license, relative to autogen.sh file.
      - Updated upstream and packaging copyright years.
  * debian/patches/unversioned-automake.patch: removed. The upstream is using
    a new autogen.sh file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 03 Oct 2017 18:50:37 -0300

xdemorse (2.9-4) unstable; urgency=medium

  * QA upload.
  * Bumped DH level to 10.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: updated the packaging copyright years.
  * debian/menu: dropped in compliance with CTTE #741573.
  * debian/watch: bumped to version 4.
  * debian/xdemorse.doc-base: renamed to doc-base.
  * debian/xdemorse.manpages: renamed to manpages.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 13 Oct 2016 21:21:00 -0300

xdemorse (2.9-3) unstable; urgency=medium

  * QA upload.
  * Check for unversioned automake binary, too.  (Closes: #792048)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 18 Jul 2015 16:50:58 +0200

xdemorse (2.9-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Using autoreconf.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 May 2015 10:45:45 -0300

xdemorse (2.9-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/copyright:
      - Updated the packaging and upstream copyright years.
      - Using the correct short name for GPL-3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 22 Mar 2015 22:30:21 -0300

xdemorse (2.8-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * Bumped Standards-Version to 3.9.6.
  * debian/copyright: updated the packaging copyright list.
  * debian/patches/show_flags: removed because the upstream fixed the code.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to fix the
      issues pointed by blhc.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 30 Nov 2014 00:11:23 -0200

xdemorse (2.7-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * The upstream fixed several problems (thanks to Neoklis). Consequently:
      - These files and directories were removed:
          - debian/desktop/
          - debian/examples
          - debian/install
          - debian/patches/*
          - debian/xdemorserc: removed.
      - debian/rules:
          - removed the LDFLAGS line.
          - removed the override_dh_clean target.
          - updated the override_dh_auto_configure target.
  * debian/copyright: updated the upstream copyright years.
  * debian/patches/show_flags: created to avoid an "overriden flags" action
    by GCC when compiling.
  * debian/dirs: added to create some directories.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Fri, 21 Mar 2014 12:10:25 -0300

xdemorse (2.6-2) unstable; urgency=medium

  * QA upload.
  * debian/patches/conf_file: added to discard the individual
    configuration file (.xdemorserc) copy to user home.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sun, 09 Mar 2014 03:09:01 -0300

xdemorse (2.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control:
      - Added autotools-dev, intltool and libasound2-dev in
        Build-Depends field.
      - Bumped Standards-Version from 3.9.4 to 3.9.5.
      - New short and long descriptions.
      - Updated Homepage field.
  * debian/copyright:
      - Upgraded to 1.0 format.
      - Updated upstream and packaging copyright years.
      - Updated upstream e-mail address.
      - Upstream using GPL-3+ now.
  * debian/desktop: created to gather the files used to provide
    a desktop menu entry.
  * debian/dirs: removed because the package is using autotools
    and, consequently, the file is useless now.
  * debian/examples: added to install debian/xdemorserc file.
  * debian/install: created to install the files used to provide
    a desktop menu entry.
  * debian/menu: added an icon reference.
  * debian/patches/:
      - changelog: added to point exactly to file indicated by
        the upstream.
      - debian-changes-1.3-6: removed because it is useless.
      - link_libm.patch: updated to be compliant with the new
        upstream release.
      - main.c: fix a typo. Thanks to Jonas Stein
        <news@jonasstein.de> by bug report. (Closes: #633542)
      - POTFILES.{in,skip}: created to list files to be treated
        or ignored by gettext system.
      - sound.c: fix an error that breaks the compilation when
        using GCC hardening.
  * debian/rules:
      - Added the --parallel option.
      - Added 'LDFLAGS += -Wl,--as-needed' line to avoid linking
        useless libraries to the binary.
      - Updated to use autotools to build package.
  * debian/watch: fixed.
  * debian/xdemorse.1: fixed a spelling error in manpage
    (s/informations/information).
  * debian/xdemorse.doc-base: added to reference
    /usr/share/doc/xdemorse.html.
  * debian/xdemorserc: added as an example of the sound
    configuration file.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Wed, 05 Mar 2014 01:17:30 -0300

xdemorse (1.3-7) unstable; urgency=low

  * QA upload.
  * Link against libm. (Closes: #713771).
  * Update watch file. (Closes: #640203).
  * Move buildsystem to simple dh style.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 04 Jul 2013 12:49:59 -0400

xdemorse (1.3-6) unstable; urgency=low

  * QA upload
  * migrate to source version 3.0:
    - added debian/source
    - for the moment leave old patches in debian-changes-1.3-6
  * added manpage provided by François Wendling <frwendling@free.fr>.
    Thanks a lot to François! (closes: #603398).
  * Standards-Version 3.9.1 (no change)
  * debian/rules:
    - dh_clean -k => dh_prep
    - some cleanup

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Nov 2010 08:55:35 +0100

xdemorse (1.3-5) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 07 Nov 2009 08:32:33 +0000

xdemorse (1.3-4) unstable; urgency=low

  * Fix FTBFS on hurd-i386, patch by Samuel Thibault.
    Closes: #510604.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 03 Jan 2009 20:43:26 +0100

xdemorse (1.3-3) unstable; urgency=low

  * Install default/.xdemorserc as xdemorserc in the package
    documentation directory.
  * Also chmod +x for a couple of other scripts in the base directory.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 03 Jan 2009 16:51:45 +0100

xdemorse (1.3-2) unstable; urgency=low

  * Fix FTBFS. Thanks Kurt Roeckx for reporting. Closes: #510135.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 03 Jan 2009 16:10:35 +0100

xdemorse (1.3-1) unstable; urgency=low

  * Initial release (Closes: #508882).

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 17 Dec 2008 18:21:44 +0100
